Bug 62881 - Openssh needs a dev dependancy
Openssh needs a dev dependancy
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: openssh (Show other bugs)
3.0
i386 Linux
low Severity low
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-06 19:20 EST by Alan Cox
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-01 03:13:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2002-04-06 19:20:15 EST
The openssh scripts bomb if openssh is installed before the dev package is
present. This to all intents and purposes "can't happen" with the standard RH
installer though.
Comment 1 Nalin Dahyabhai 2003-11-12 13:11:13 EST
Can you be more specific about the failure in this case?  Are we
talking about redirection to /dev/null creating an empty file which
gets overwritten with a device node when 'dev' is installed, or
something more serious like an application attempting to communicate
with a tty which isn't there?
Comment 2 Alan Cox 2003-11-12 18:28:03 EST
If its installed before the dev package the scriplets fail when its
being installed. It would fail to run without dev but thats a bit of a
different problem.

I found this with a custom install builder for a small box, that
happened to do ssh before dev and got script errors
Comment 3 Nalin Dahyabhai 2003-11-12 19:23:39 EST
... fails how, exactly?  Error message?
Comment 4 Alan Cox 2003-11-12 19:29:11 EST
I'll try and find a box to rerun the test set on next week or two.

Its "low" priority for good reason tho
Comment 5 Tomas Mraz 2005-02-04 11:10:15 EST
No response here.
Comment 6 Tomas Mraz 2005-04-01 03:13:47 EST
Does it still apply now that we have the udev?
Please reopen if still needed.

Note You need to log in before you can comment on or make changes to this bug.